com.trendmicro.ds.antimalware.rest.object

## Class CounterMalwareDetectedElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.util.CounterElement
  - - com.trendmicro.ds.antimalware.rest.object.CounterMalwareDetectedElement

-     public class CounterMalwareDetectedElement
      extends CounterElement

  A placeholder to store detected malware for RESTful response

- - ### Field Summary

    - ### Fields inherited from class com.trendmicro.ds.platform.rest.object.util.CounterElement

      `description, extraValue, linkText, percentOfTotal, percentOfValue, previousValue, text, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterMalwareDetectedElement()`
    `CounterMalwareDetectedElement(java.lang.String text, long value, java.lang.String malwareName, java.lang.String description, java.lang.Integer hostID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getHostID()` Get the host ID of detected malware
    `java.lang.String` | `getMalwareName()` Get the malware name
    `void` | `setHostID(java.lang.Integer hostID)` Set the host ID of detected malware
    `void` | `setMalwareName(java.lang.String malwareName)` Set the malware name

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.util.CounterElement

      `getDescription, getExtraValue, getLinkText, getPercentOfTotal, getPercentOfValue, getPreviousValue, getText, getValue, setDescription, setExtraValue, setLinkText, setPercentOfTotal, setPercentOfValue, setPreviousValue, setText, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CounterMalwareDetectedElement

          public CounterMalwareDetectedElement()

    - #### CounterMalwareDetectedElement

          public CounterMalwareDetectedElement(java.lang.String text,
                                               long value,
                                               java.lang.String malwareName,
                                               java.lang.String description,
                                               java.lang.Integer hostID)

  - ### Method Detail

    - #### getMalwareName

          public java.lang.String getMalwareName()

      Get the malware name
      Returns:
        the name of detected malware

    - #### setMalwareName

          public void setMalwareName(java.lang.String malwareName)

      Set the malware name
      Parameters:
        `malwareName` - the name of detected malware

    - #### getHostID

          public java.lang.Integer getHostID()

      Get the host ID of detected malware
      Returns:
        host ID of detected malware

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

      Set the host ID of detected malware
      Parameters:
        `hostID` - host ID of detected malware

Copyright © 2017 Trend Micro Inc. All Rights Reserved.